## nfs-utils 2.6.1

=== debian/changelog ===
nfs-utils (1:2.6.1-2ubuntu4.1) kinetic; urgency=medium

  * d/p/blkmapd-fix-invalid-free.patch: fix blkmapd crash due to invalid
    free() (LP: #1979885)

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 20 Oct 2022 11:45:11 -0300

nfs-utils (1:2.6.1-2ubuntu4) kinetic; urgency=medium

  * No-change rebuild against libevent-core-2.1-7a

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 07 Oct 2022 21:23:03 +0000

nfs-utils (1:2.6.1-2ubuntu3) kinetic; urgency=medium

  * d/p/fix-format-overflow-warning.patch: fix a format-overflow warning
    from gcc which was failing the build

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 28 Jul 2022 20:39:54 +0000

nfs-utils (1:2.6.1-2ubuntu2) kinetic; urgency=medium

  * Rely on the generator units for the rpc_pipefs mount
    (LP: #1971935):
    - d/p/always-run-generator.patch: run the generator even if the
      config differs from the built-in default
    - d/rules: exclude the units we will let the generator produce

 -- Andreas Hasenack <andreas@canonical.com>  Thu, 07 Jul 2022 21:08:11 +0000

nfs-utils (1:2.6.1-2ubuntu1) kinetic; urgency=medium

  * Merge with Debian unstable (LP: #1974233). Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Don't install the regex module, as it's built by
      src:libnfsidmap-regex which is in Universe (MIR: #1960824)
      + d/control: don't conflict/break/etc with libnfsidmap-regex
      + d/libnfsidmap1.install: don't install regex.so
      + d/not-installed: mark files we knowingly don't include in the
        packaging
      + d/p/remove-regex-from-docs.patch: remove the regex section from
        the idmapd.conf(5) manpage, as we are not building that plugin in
        this package
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - d/nfs-common.postrm: also purge /etc/nfs.conf.d/local.conf
    - d/nfs-common.dirs: we also own /etc/nfs.conf.d
    - New apport hook (LP #1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Add more DEP8 tests (LP #1960828):
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-moun}t: specific NFSv3 mount test
  * Dropped:
    - d/nfsconvert.py: add short "u" option for mountd's no-udp
      [Included in 1:2.6.1-2]
    - d/NEWS: explain some of the major changes in 2.6.x
      [Obsoleted by Debian's update to the per-package NEWS files]
    - d/nfs-*.bug-script: update to also include /etc/nfs.conf and
      /etc/nfs.conf.d/*.conf
      [Included in 1:2.6.1-2]
  * Added changes:
    - New binary package libnfsidmap-regex (LP: #1974067):
      + d/control: new package
      + d/libnfsidmap-regex.install: install the plugin file
      + d/not-installed: remove the plugin from the not-installed list
      + d/p/remove-regex-from-docs.patch: deleted
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP: #1977745):
      + d/p/svcgssd-fix-use-after-free.patch: fix use-after-free which was
        preventing svcgssd options set in /etc/nfs.conf from being used
      + d/p/svcgssd-display-principal-if-set.patch: improve logging,
        showing the expected principal name if it was set in the config
      + d/p/svcgssd-document-missing-options.patch: add missing options to
        the svcgssd manpage
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/README.Ubuntu: updated with the content of the previous d/NEWS
      file
    - d/rules: re-add hardening option lost from the src:libnfsidmap to
      src:nfs-utils transition (LP: #1980095)

 -- Andreas Hasenack <andreas@canonical.com>  Tue, 28 Jun 2022 10:59:36 -0300

nfs-utils (1:2.6.1-2) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/nfsconvert.py: add short "u" option for mountd's no-udp
  * d/nfs-*.bug-script: update for new config files

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Update renamed lintian tag names in lintian overrides.

  [ Ben Hutchings ]
  * nfs-kernel-server: Add NEWS entry for removal of NFSv2 (Closes: #1006650)
  * nfs-common: Add NEWS entry for configuration file conversion
  * nfsidmap.man: Fix section number (Closes: #947202)
  * d/nfsconvert.py: Convert RPCMOUNTDOPTS without --manage-gids correctly
    (Closes: #1006841)
  * d/*.bug-script: Do not fail if grep finds no matching lines
    (see #977904)
  * nfs-common: Remove obsolete symlinks for sysvinit runlevels 2-5
    (Closes: #740018)

  [ Salvatore Bonaccorso ]
  * debian/nfs.conf: Sync base version with upstream's nfs.conf

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 12 Apr 2022 12:20:44 +0200

nfs-utils (1:2.6.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian unstable (LP: #1960829). Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - d/NEWS: explain some of the major changes in 2.6.x
    - Don't install the regex module, as it's built by
      src:libnfsidmap-regex which is in Universe (MIR: #1960824)
      + d/control: don't conflict/break/etc with libnfsidmap-regex
      + d/libnfsidmap1.install: don't install regex.so
      + d/not-installed: mark files we knowingly don't include in the
        packaging
      + d/p/remove-regex-from-docs.patch: remove the regex section from
        the idmapd.conf(5) manpage, as we are not building that plugin in
        this package

