## nfs-utils 2.6.2

=== debian/changelog ===
nfs-utils (1:2.6.2-4ubuntu1) lunar; urgency=medium

  * Merge with Debian unstable. Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook (LP #1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Add more DEP8 tests (LP #1960828):
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-mount}: specific NFSv3 mount test
    - Move the regex module to a separate binary package libnfsidmap-regex
      (LP #1974067):
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
        [missed in previous d/changelog]
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP #1977745):
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - Rely on the generator units for the rpc_pipefs mount
      (LP #1971935):
      + d/p/always-run-generator.patch: run the generator even if the
        config differs from the built-in default
      + d/rules: exclude the units we will let the generator produce
      [Missed in previous d/changelog]
    - d/not-installed: mark files we knowingly don't include in the
      packaging
      [Missed in previous d/changelog]
  * Dropped:
    - d/rules: re-add hardening option lost from the src:libnfsidmap to
      src:nfs-utils transition (LP: #1980095)
      [In 1:2.6.2-1~exp1]

 -- Andreas Hasenack <andreas@canonical.com>  Sun, 19 Feb 2023 14:49:53 -0300

nfs-utils (1:2.6.2-4) unstable; urgency=medium

  [ Guillem Jover ]
  * Fix LSB init script output (Closes: #939153)

  [ Salvatore Bonaccorso ]
  * systemd: Don't degrade system state for nfs-clients when krb5 keytab
    present but not containing the nfs/<FQDN> principal (Closes: #985002)
  * Declare compliance with Debian policy 4.6.2

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 11 Jan 2023 21:41:40 +0100

nfs-utils (1:2.6.2-3) unstable; urgency=medium

  * Revert "Install upstream modprobe configuration file"
  * Revert "configure: make modprobe.d directory configurable."
  * Revert "modprobe: protect against sysctl errors"
  * Revert "systemd: Apply all sysctl settings when NFS-related modules are
    loaded"
  * systemd: Apply all sysctl settings through udev rule when NFS-related
    modules are loaded (Closes: #1024082)
  * nfs-kernel-server: Install upstream udev configuration file
  * auth-rpcgss-module.service: Don't fail inside linux container
    (Closes: #985000)

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 06 Dec 2022 16:38:32 +0100

nfs-utils (1:2.6.2-2ubuntu1) lunar; urgency=low

  * Merge from Debian unstable. Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook (LP #1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Add more DEP8 tests (LP #1960828):
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-moun}t: specific NFSv3 mount test
    - Move the regex module to a separate binary package libnfsidmap-regex
      (LP: #1974067):
      + d/control: new package
      + d/libnfsidmap-regex.install: install the plugin file
      + d/not-installed: remove the plugin from the not-installed list
      + d/p/remove-regex-from-docs.patch: deleted
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP: #1977745):
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/README.Ubuntu: updated with the content of the previous d/NEWS
      file

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Fri, 25 Nov 2022 10:40:08 +0100

nfs-utils (1:2.6.2-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 2.

  [ Salvatore Bonaccorso ]
  * blkmapd: fix coredump in bl_add_disk (Closes: #1022185)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 24 Nov 2022 23:42:20 +0100

nfs-utils (1:2.6.2-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 02 Sep 2022 18:31:01 +0200

nfs-utils (1:2.6.2-1~exp1) experimental; urgency=medium

  [ Salvatore Bonaccorso ]
  * New upstream version 2.6.2
  * nfs-common: Install new rpcctl tool
  * nfs-common: Install nfsrahead to configure the readahead for NFS mounts
  * debian/rules: Build with DEB_BUILD_MAINT_OPTIONS = hardening=+all
  * Declare compliance with Debian policy 4.6.1
  * Install upstream modprobe configuration file
    - Apply all sysctl settings when NFS-related modules are loaded.
    - Configure modprobe.d directory to /lib/modprobe.d
  * debian/control: nfs-kernel-server: Add Suggests on procps

  [ Andreas Hasenack ]

