=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Ben Hutchings <benh@debian.org>, Steve Langasek <vorlon@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
 Build-Depends: debhelper-compat (= 13), libwrap0-dev, libevent-dev, libkrb5-dev, libblkid-dev, libkeyutils-dev, pkg-config, libldap2-dev, libcap-dev, libtirpc-dev, libdevmapper-dev, libmount-dev, libsqlite3-dev, dh-apport
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Homepage: https://linux-nfs.org/
 Vcs-Git: https://salsa.debian.org/kernel-team/nfs-utils.git
 Vcs-Browser: https://salsa.debian.org/kernel-team/nfs-utils
@@ -17,6 +17,7 @@
 Conflicts: knfs, nfs-server
 Replaces: knfs, nfs-server
 Recommends: python3, python3-yaml
+Suggests: procps
 Description: support for NFS kernel server
  The NFS kernel server is currently the recommended NFS server for use
  with Linux, featuring features such as NFSv3 and NFSv4, Kerberos
