## nfs-utils 2.6.3

=== debian/changelog ===
nfs-utils (1:2.6.3-3ubuntu1) mantic; urgency=medium

  * Merge with Debian unstable (LP: #2030474). Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook (LP #1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Add more DEP8 tests (LP #1960828):
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-mount}: specific NFSv3 mount test
    - Move the regex module to a separate binary package libnfsidmap-regex
      (LP #1974067):
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP #1977745):
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the
      packaging
  * Dropped changes:
    - Rely on the generator units for the rpc_pipefs mount (LP #1971935):
      + d/p/always-run-generator.patch: run the generator even if the
        config differs from the built-in default
      + d/rules: exclude the units we will let the generator produce
      [Fixed in 1:2.6.3-1]

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 08 Aug 2023 09:54:52 +1200

nfs-utils (1:2.6.3-3) unstable; urgency=medium

  * nfs-idmapd.service: add network-online.target to Wants= and After=
    (Closes: #1035840)
  * libnfsidmap: try to get the domain directly from hostname if the DNS
    lookup fails and always show the log message if the domain can't be
    determined

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 01 Aug 2023 15:10:41 +0200

nfs-utils (1:2.6.3-2) unstable; urgency=medium

  * fsidd: provide better default socket name. (Closes: #1041147)
  * nfs-kernel-server: Handle leftover /fsid.sock socket

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 24 Jul 2023 11:01:42 +0200

nfs-utils (1:2.6.3-1) unstable; urgency=medium

  [ Andreas Hasenack ]
  * Rely on the generator units for the rpc_pipefs mount (Closes: #1014429)
    - d/p/always-run-generator.patch: run the generator even if the config
      differs from the built-in default
    - d/rules: exclude the units we will let the generator produce

  [ Ben Hutchings ]
  * Remove obsolete postinst upgrade logic and nfsconvert.py
  * init: Remove support for setting command-line options in /etc/default
  * d/salsa-ci.yml: Add shellcheck job
  * start-statd: Fix shellcheck warnings
  * init: Fix shellcheck warnings and info, thanks to наб (Closes: #1017869)
  * d/*.bug-script: Fix redundant use of cat noted by shellcheck

  [ Salvatore Bonaccorso ]
  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 09 Jul 2023 10:34:04 +0200

nfs-utils (1:2.6.3-1~exp1) experimental; urgency=medium

  [ Ben Hutchings ]
  * d/control: Remove obsolete dependencies on lsb-base

  [ Salvatore Bonaccorso ]
  * New upstream version 2.6.3
  * nfs-kernel-server: export: Add fsidd
  * nfs-kernel-server: Add fsid systemd service file
  * debian/rules: Replace call to dpkg-architecture with Makefile snippet
    include
  * nfs-common: lintian-overrides: Adapt overrides to new format
  * nfs-kernel-server: lintian-overrides: Adapt overrides to new format

  [ наб ]
  * d/nfs-common.bug-script: fix stray \ warnings
  * d/nfs-kernel-server.bug-script: fix stray \ warnings

  [ Debian Janitor ]
  * Apply multi-arch hints: libnfsidmap-dev: Add Multi-Arch: same

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 23 Apr 2023 18:08:07 +0200
