=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 
 Package: nfs-kernel-server
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, nfs-common (= ${binary:Version}), ucf, netbase, lsb-base, keyutils
+Depends: ${shlibs:Depends}, ${misc:Depends}, nfs-common (= ${binary:Version}), ucf, netbase, keyutils
 Provides: knfs, nfs-server
 Conflicts: knfs, nfs-server
 Replaces: knfs, nfs-server
@@ -34,7 +34,7 @@
 Package: nfs-common
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnfsidmap1 (= ${binary:Version}), rpcbind, adduser, ucf, lsb-base, keyutils, python3
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnfsidmap1 (= ${binary:Version}), rpcbind, adduser, ucf, keyutils, python3
 Suggests: open-iscsi, watchdog
 Provides: nfs-client
 Conflicts: nfs-client
@@ -48,6 +48,7 @@
 Section: libdevel
 Architecture: any
 Depends: libnfsidmap1 (= ${binary:Version}), ${misc:Depends}
+Multi-Arch: same
 Description: header files and docs for libnfsidmap
  Contains the header files and documentation for libnfsidmap
  for use in developing applications that use the libnfsidmap library.
