=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,9 @@
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
-DEB_HOST_MULTIARCH := $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)
+# set and export all variables from dpkg-architecture
+# and using DEB_HOST_MULTIARCH
+include /usr/share/dpkg/architecture.mk
 
 %:
 	dh $@ --with apport
@@ -29,6 +31,7 @@
 
 override_dh_install:
 	# we will let the generator produce these units, see LP: #1971935
+	# and https://bugs.debian.org/1014429
 	dh_install -Xvar-lib-nfs-rpc_pipefs.mount -Xrpc_pipefs.target
 
 override_dh_installinit:
