## nfs-utils 2.6.4

=== debian/changelog ===
nfs-utils (1:2.6.4-3ubuntu5.1) noble; urgency=medium

  * SRU: LP: #2083480: No-change rebuild to disable frame pointers on
    ppc64el and s390x.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 02 Oct 2024 14:40:50 +0200

nfs-utils (1:2.6.4-3ubuntu5) noble; urgency=medium

  * No-change rebuild against libevent-core-2.1-7t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 07 Apr 2024 02:44:50 +0000

nfs-utils (1:2.6.4-3ubuntu4) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 08:10:14 +0000

nfs-utils (1:2.6.4-3ubuntu3) noble; urgency=medium

  * No-change rebuild against libtirpc3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 29 Feb 2024 09:30:58 +0000

nfs-utils (1:2.6.4-3ubuntu2) noble; urgency=medium

  * d/p/armhf-time-t-format-error.patch: resolve armhf ftbfs due to
    time_t transition (LP: #2055349).

 -- Vladimir Petko <vladimir.petko@canonical.com>  Thu, 29 Feb 2024 10:52:10 +1300

nfs-utils (1:2.6.4-3ubuntu1) noble; urgency=medium

  * Merge with Debian unstable (LP: #2055100). Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook (LP 1961058):
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Add more DEP8 tests (LP 1960828):
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-mount}: specific NFSv3 mount test
    - Move the regex module to a separate binary package libnfsidmap-regex
      (LP 1974067):
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
        [missed in previous d/changelog]
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements (LP 1977745):
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the
      packaging

 -- Vladimir Petko <vladimir.petko@canonical.com>  Tue, 27 Feb 2024 14:48:29 +1300

nfs-utils (1:2.6.4-3) unstable; urgency=medium

  [ Salvatore Bonaccorso ]
  * fsidd: call anonymous sockets by their name only, don't fill with NULs to
    108 bytes (Closes: #1051132)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 03 Dec 2023 14:58:30 +0100

nfs-utils (1:2.6.4-2) unstable; urgency=medium

  * Built with enabled support for NFS junctions
    - Configure with --enable-junction to enable support for NFS junctions
    - debian/control: Add Build-Depends on libxml2-dev
  * nfs-kernel-server: Install nfsref utility and nfsref(8) manpage
    (Closes: #1055675)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 23 Nov 2023 08:09:12 +0100

nfs-utils (1:2.6.4-1) unstable; urgency=medium

  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 22 Nov 2023 07:15:57 +0100

nfs-utils (1:2.6.4-1~exp1) experimental; urgency=medium

  * New upstream version 2.6.4

 -- Salvatore Bonaccorso <carnil@debian.org>  Tue, 21 Nov 2023 16:02:51 +0100

nfs-utils (1:2.6.3-4~exp1) experimental; urgency=medium

  * Remove extraneous words left behind by commit 522837f. (Closes: #1051088)
  * Install systemd units to /usr/lib/systemd/system
    - debian/rules: Drop explicit setting with path for Debian
      --with=systemd=/lib/systemd/system and install the systemd units by
      default in /usr/lib/systemd/system trough --with-systemd
    - debian/nfs-common.install: Install systemd units from
      /usr/lib/system/system
    - debian/nfs-kernel-server.install: Install systemd units from
      /usr/lib/system/system
    - debian/*.links: Create symlinks for systemd units from and to
      /usr/lib/systemd/system instead of /lib/systemd/system
  * debian/rules: Don't force nfsdcltrack and mount helpers into /sbin
  * nfs-common: Install {u,}mount.nfs{,4} into /usr/sbin
  * nfs-common: lintian-overides: Adjust paths after installation to /usr/sbin
  * nfs-kernel-server: Install nfsdcltrack to /usr/sbin
  * debian/rules: Update chmod call to fix permissions of /usr/sbin/mount.nfs
  * Install rpc.statd, sm-notify and showmount into /usr/sbin
    - Install binaries to default locations in /usr/sbin
    - Drop now oboslete patches to reference sm-notify from /sbin
    - Drop now obsolete patches to change ExecStart to start sm-notify and
      rpc.statd from /sbin

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 20 Nov 2023 22:13:01 +0100
