=== debian/rules ===
--- 
+++ 
@@ -12,13 +12,16 @@
 	dh $@ --with apport
 
 override_dh_auto_configure:
+# Use --with-systemd=/lib/systemd/system if backporting to bookworm or earlier
 	dh_auto_configure -- \
 		--mandir='$${prefix}/share/man' \
 		--enable-libmount-mount \
+		--enable-junction \
 		--enable-svcgss \
 		--with-pluginpath=/usr/lib/$(DEB_HOST_MULTIARCH)/libnfsidmap \
 		--with-tcp-wrappers \
-		--with-systemd=/lib/systemd/system
+		--with-systemd \
+		--disable-sbin-override
 
 override_dh_bugfiles:
 	dh_bugfiles
@@ -27,7 +30,7 @@
 
 override_dh_fixperms:
 	dh_fixperms
-	chmod u+s debian/nfs-common/sbin/mount.nfs
+	chmod u+s debian/nfs-common/usr/sbin/mount.nfs
 
 override_dh_install:
 	# we will let the generator produce these units, see LP: #1971935
