## nfs-utils 2.7.1

=== debian/changelog ===
nfs-utils (1:2.7.1-3) unstable; urgency=medium

  * rpc.idmapd: nfsopen() failures should not be fatal (Closes: #1072573)

 -- Salvatore Bonaccorso <carnil@debian.org>  Fri, 20 Sep 2024 20:36:56 +0200

nfs-utils (1:2.7.1-2) unstable; urgency=medium

  * d/control: nfs-common: Move python3 to Recommends (Closes: #1013868)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 14 Sep 2024 10:13:35 +0200

nfs-utils (1:2.7.1-1) unstable; urgency=medium

  * Prepare for upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 31 Aug 2024 15:54:43 +0200

nfs-utils (1:2.7.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.7.1 (Closes: #1077023)
  * debian/nfs.conf: Sync base version with upstream's nfs.conf

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 26 Aug 2024 22:12:44 +0200

nfs-utils (1:2.6.4-6) unstable; urgency=medium

  [ Andreas Hasenack ]
  * d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
  * d/t/{control, v3-mount}: specific NFSv3 mount test
  * kerberos-mount: improve cleanup()
  * v3-mount: improve cleanup()
  * d/t/util: remove shebang
  * d/t/util: remove unused die() function

  [ Ben Hutchings ]
  * Stop shipping /var/lib/nfs/{etab,rmtab,state} (Closes: #1074359)
  * Preserve /var/lib/nfs/{etab,rmtab,state} on upgrade from old version
  * nfs-kernel-server: Don't remove /var/lib/nfs/{etab,rmtab} in a failed
    upgrade
  * nfs-common: Remove /var/lib/nfs/{sm,sm.bak,state} in unusual removal cases

  [ Salvatore Bonaccorso ]
  * debian/control: Replace Build-Depends on pkg-config with pkgconf

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 25 Aug 2024 20:48:59 +0200

nfs-utils (1:2.6.4-5) unstable; urgency=medium

  * Add missing #include <stddef.h> (Closes: #1073818)
  * Declare compliance with Debian policy 4.7.0

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 22 Jun 2024 11:50:22 +0200

nfs-utils (1:2.6.4-4) unstable; urgency=medium

  * junction: export-cache: cast to a type with a known size to ensure sprintf
    works (Closes: #1067829)

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 07 Apr 2024 07:01:47 +0200
