=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: nfs-utils
 Priority: optional
 Section: net
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
 Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Ben Hutchings <benh@debian.org>, Steve Langasek <vorlon@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper-compat (= 13), libwrap0-dev, libevent-dev, libkrb5-dev, libblkid-dev, libkeyutils-dev, pkg-config, libldap2-dev, libcap-dev, libtirpc-dev, libdevmapper-dev, libmount-dev, libsqlite3-dev, libxml2-dev, dh-apport
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), libwrap0-dev, libevent-dev, libkrb5-dev, libblkid-dev, libkeyutils-dev, pkgconf, libldap2-dev, libcap-dev, libtirpc-dev, libdevmapper-dev, libmount-dev, libsqlite3-dev, libxml2-dev
+Standards-Version: 4.7.0
 Homepage: https://linux-nfs.org/
 Vcs-Git: https://salsa.debian.org/kernel-team/nfs-utils.git
 Vcs-Browser: https://salsa.debian.org/kernel-team/nfs-utils
@@ -34,7 +33,8 @@
 Package: nfs-common
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, libnfsidmap1 (= ${binary:Version}), rpcbind, adduser, ucf, keyutils, python3
+Depends: ${shlibs:Depends}, ${misc:Depends}, libnfsidmap1 (= ${binary:Version}), rpcbind, adduser, ucf, keyutils
+Recommends: python3
 Suggests: open-iscsi, watchdog
 Provides: nfs-client
 Conflicts: nfs-client
@@ -62,20 +62,10 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libnfsidmap2
-Breaks: libnfsidmap2 (<< 0.25-7~)
-Replaces: libnfsidmap2 (<< 0.25-7~)
+Conflicts: libnfsidmap2, libnfsidmap-regex
+Provides: libnfsidmap2, libnfsidmap-regex
+Breaks: libnfsidmap2 (<< 0.25-7~), libnfsidmap-regex
+Replaces: libnfsidmap2 (<< 0.25-7~), libnfsidmap-regex
 Description: NFS idmapping library
  libnfsidmap provides functions to map between NFSv4 names (which are
  of the form user@domain) and local uid's and gid's.
-
-Package: libnfsidmap-regex
-Section: libs
-Architecture: any
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: Plugin to map NFSv4 names to and from ids via regex
- The regex plugin parses NFSv4 user and groups names using regex to extract the
- local user or group. NFSv4 names are created by adding constant strings before
- and after the local user and group names.
