## nfs-utils 2.8.1

=== debian/changelog ===
nfs-utils (1:2.8.1-1) unstable; urgency=medium

  * Prepare for upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 26 Oct 2024 13:33:28 +0200

nfs-utils (1:2.8.1-1~exp1) experimental; urgency=medium

  * New upstream version 2.8.1
  * debian/control: Add Build-Depends on libnl-3-dev, libnl-genl-3-dev,
    libreadline-dev
  * nfs-kernel-server: Install nfsdctl utility and nfsdctl(8) manpage

 -- Salvatore Bonaccorso <carnil@debian.org>  Sat, 19 Oct 2024 22:21:31 +0200
