## nfs-utils 2.8.2

=== debian/changelog ===
nfs-utils (1:2.8.2-2ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable (LP: #2098870). Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This package
      contains not only plugins, but an actual shared library, with a
      different soname.
    - Update README file:
      - d/README.Ubuntu: new /etc/nfs.conf config structure
      - d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook:
      - d/source.apport: apport hook for nfs-utils
      - d/control: build-depend dh-apport
      - d/rules: build with apport, and install the hook in the nfs-common
        package which is installed on both client and servers
    - Move the regex module to a separate binary package libnfsidmap-regex :
      - d/control: new package, adjust breaks/conflicts
      - d/libnfsidmap-regex.install: install the plugin file
      - d/libnfsidmap1.install: don't install regex.so
      - d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch: note that
        the regex plugin is in another package
    - rpc.svcgssd fixes and improvements:
      - d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also document the
        missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the packaging
  * Removed patches obsoleted/merged by upstream:
    - Add more DEP8 tests:
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-mount}: specific NFSv3 mount test

 -- Dave Jones <dave.jones@canonical.com>  Wed, 19 Feb 2025 16:30:13 +0000

nfs-utils (1:2.8.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Mitigate file loss in concurrent canonicalization and move between
    packages. (DEP17 P1 M8, Closes: #1095202)

  [ Salvatore Bonaccorso ]
  * Upload to unstable

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 05 Feb 2025 16:35:13 +0100

nfs-utils (1:2.8.2-2~exp1) experimental; urgency=medium

  * Move nfs-blkmap.service to nfs-common package.
    Add Replaces and Breaks relation for nfs-common package on the
    nfs-kernel-server package with (<< 1:2.8.2-2~exp1~) constraints to
    properly take over the nfs-blkmap.service service file.
    (Closes: #1072611)
  * debian/control: Remove Steve Langasek from Uploaders

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 03 Feb 2025 18:47:52 +0100

nfs-utils (1:2.8.2-1) unstable; urgency=medium

  * New upstream version 2.8.2
  * debian/nfs.conf: Sync default for nfsd threads with upstream to 16
  * nfs-kernel-server: Don't install anymore nfsdcltrack

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 11 Dec 2024 10:23:29 +0100

nfs-utils (1:2.8.1-2) unstable; urgency=medium

  * exports: Fix referrals when --enable-junction=no
    (Closes: #1083098, #1035908)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Dec 2024 19:12:25 +0100

nfs-utils (1:2.6.4-4ubuntu1) oracular; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - d/control: don't provide libnfsidmap2 in libnfsidmap1. This
      package contains not only plugins, but an actual shared library,
      with a different soname.
    - Update README file:
      + d/README.Ubuntu: new /etc/nfs.conf config structure
      + d/libnfsidmap1.docs, d/nfs-common.docs: install README.Ubuntu
    - New apport hook:
      + d/source.apport: apport hook for nfs-utils
      + d/control: build-depend dh-apport
      + d/rules: build with apport, and install the hook in the
        nfs-common package which is installed on both client and servers
    - Add more DEP8 tests:
      + d/t/{control,kerberos-mount,util}: test NFSv4 krb5p mounts
      + d/t/{control, v3-mount}: specific NFSv3 mount test
    - Move the regex module to a separate binary package libnfsidmap-regex:
      + d/control: new package, adjust breaks/conflicts
      + d/libnfsidmap-regex.install: install the plugin file
      + d/libnfsidmap1.install: don't install regex.so
        [missed in previous d/changelog]
      + d/p/ubuntu-idmapd-manpage-update-regex-other-package.patch:
        note that the regex plugin is in another package
    - rpc.svcgssd fixes and improvements:
      + d/p/nfs-conf-manpage-missing-svcgssd-options.patch: also
        document the missing svcgssd options to the nfs.conf(5) manpage
    - d/not-installed: mark files we knowingly don't include in the
      packaging
  * Dropped changes, included in Debian:
    - d/p/armhf-time-t-format-error.patch: resolve armhf ftbfs due to
      time_t transition.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 06 Jun 2024 21:55:18 -0700
