=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: nfs-utils
 Priority: optional
 Section: net
-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
-Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Ben Hutchings <benh@debian.org>, Steve Langasek <vorlon@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
-Build-Depends: debhelper-compat (= 13), libwrap0-dev, libevent-dev, libkrb5-dev, libblkid-dev, libkeyutils-dev, pkgconf, libldap2-dev, libcap-dev, libtirpc-dev, libdevmapper-dev, libmount-dev, libnl-3-dev, libnl-genl-3-dev, libreadline-dev, libsqlite3-dev, libxml2-dev
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian kernel team <debian-kernel@lists.debian.org>
+Uploaders: Anibal Monsalve Salazar <anibal@debian.org>, Ben Hutchings <benh@debian.org>, Salvatore Bonaccorso <carnil@debian.org>
+Build-Depends: debhelper-compat (= 13), libwrap0-dev, libevent-dev, libkrb5-dev, libblkid-dev, libkeyutils-dev, pkgconf, libldap2-dev, libcap-dev, libtirpc-dev, libdevmapper-dev, libmount-dev, libnl-3-dev, libnl-genl-3-dev, libreadline-dev, libsqlite3-dev, libxml2-dev, dh-apport
 Standards-Version: 4.7.0
 Homepage: https://linux-nfs.org/
 Vcs-Git: https://salsa.debian.org/kernel-team/nfs-utils.git
@@ -37,7 +38,7 @@
 Recommends: python3
 Suggests: open-iscsi, watchdog
 Provides: nfs-client
-Conflicts: nfs-client
+Conflicts: nfs-client, nfs-kernel-server (<< 1:2.8.2-2~exp1~)
 Replaces: nfs-client
 Description: NFS support files common to client and server
  Use this package on any machine that uses NFS, either as client or
@@ -62,10 +63,20 @@
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Conflicts: libnfsidmap2, libnfsidmap-regex
-Provides: libnfsidmap2, libnfsidmap-regex
-Breaks: libnfsidmap2 (<< 0.25-7~), libnfsidmap-regex
-Replaces: libnfsidmap2 (<< 0.25-7~), libnfsidmap-regex
+Conflicts: libnfsidmap2
+Breaks: libnfsidmap2 (<< 0.25-7~)
+Replaces: libnfsidmap2 (<< 0.25-7~)
 Description: NFS idmapping library
  libnfsidmap provides functions to map between NFSv4 names (which are
  of the form user@domain) and local uid's and gid's.
+
+Package: libnfsidmap-regex
+Section: libs
+Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Description: Plugin to map NFSv4 names to and from ids via regex
+ The regex plugin parses NFSv4 user and groups names using regex to extract the
+ local user or group. NFSv4 names are created by adding constant strings before
+ and after the local user and group names.
