=== debian/watch ===
version=4
opts="pgpsigurlmangle=s%@ARCHIVE_EXT@$%.tar.sign%,decompress" \
https://www.kernel.org/pub/linux/utils/nfs-utils/@ANY_VERSION@/nfs-utils-@ANY_VERSION@@ARCHIVE_EXT@
